Subject: bug#19811: Attempt to graft texlive times out after one hour

From: Mark H Weaver <[email-masked]>
Date: Sat, 07 Feb 2015 21:42:29 -0500

Mark H Weaver <[email-masked]> writes:

> * I later discovered the --timeout option for 'guix build' (also
>   supported by 'guix package') but the manual claims that "By default
>   there is no timeout".  This seems to be incorrect.

I proceeded to try explicitly passing --timeout=0 to 'guix build', but
that didn't work:

--8<---------------cut here---------------start------------->8---
mhw@jojen:~/guix$ guix build -c1 --timeout=0 texlive
substitute-binary: updating list of substitutes from 'http://hydra.gnu.org'...
The following derivation will be built:
   /gnu/store/an8an36igcaasvg72kcjph7ns7ssgy6d-texlive-2014.drv
@ build-started /gnu/store/an8an36igcaasvg72kcjph7ns7ssgy6d-texlive-2014.drv - i686-linux /var/log/guix/drvs/an//8an36igcaasvg72kcjph7ns7ssgy6d-texlive-2014.drv.bz2
building of `/gnu/store/an8an36igcaasvg72kcjph7ns7ssgy6d-texlive-2014.drv' timed out after 3600 seconds of silence
@ build-failed /gnu/store/an8an36igcaasvg72kcjph7ns7ssgy6d-texlive-2014.drv - timeout
guix build: error: build failed: build of `/gnu/store/an8an36igcaasvg72kcjph7ns7ssgy6d-texlive-2014.drv' failed
--8<---------------cut here---------------end--------------->8---

I seem to be stuck now, with no way to update my system :-(

     Mark